<div class="content__item content__item--border bg__content--default">
    <form nz-form [formGroup]="form">
        <div nz-row [nzGutter]="[30,30]">
            <div nz-col nzXs="24" nzLg="12">
                <h2>
                    {{workCalendars.name}}
                    <mb-button mbButtonIconType="AWESOME"
                        mbPrefixIcon="far fa-plus-circle"
                        style="margin-top: 25px !important;"
                        mbButtonSize="VERY_LARGE" mbButtonTextColor="#fff" mbButtonType="NO_BORDER"
                        mbButtonBgColor="#141ED2"
                        (click)="showModalImport()"
                        ></mb-button>
                </h2>
            </div>
            <div nz-col nzXs="24" nzLg="12" style="text-align: right;">
                <div style="display: inline-block; width: 200px; text-align: left;">
                    <mb-select [mbDataSelects]="listYear"
                        mbKeyLabel="label"
                        mbKeyValue="value"
                        [mbType]="form.controls['year'].errors ? 'error' : 'default'"
                        [mbShowError]="form.controls['year'].errors != null"
                        [mbErrors]="form.controls['year'].errors"
                        [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'staffAbs.validate.required' | translate: {'param': 'staffAbs.workCalendarDetail.year' | translate }}]"
                        mbPlaceholder="--{{'staffAbs.workCalendarDetail.year' | translate}}--"
                        formControlName="year"
                        (ngModelChange)="onChangeYear()"
                        ></mb-select>
                </div>
            </div>
        </div>
    </form>
    <div nz-row [nzGutter]="[30,30]">
        <div nz-col nzXs="24" nzLg="6" *ngFor="let item of listMonth">
            <calendar *ngIf="mapWorkCalendarDetails"
                [month]="item"
                [mapWorkCalendarDetails]="mapWorkCalendarDetails"
            >
            </calendar>
        </div>
    </div>
</div>
<ng-template #footerTmpl>
    <mb-button mbButtonType="NO_BORDER" mbButtonSize="LARGE" (click)="modal.destroy()" mbButtonBgColor="transparent" mbButtonText="{{'common.button.cancel' | translate}}"></mb-button>
    <mb-button mbButtonType="NO_BORDER" mbButtonSize="LARGE" (click)="modal.getContentComponent().save()" mbButtonAvailableStyle="PRIMARY" mbButtonText="{{'common.button.import' | translate}}"></mb-button>
</ng-template>

<!-- Vùng import -->
<work-calendar-detail-import
  [showContent]='isImportData'
  [workCalendarId]='workCalendarId'
  (onCloseModal)='doCloseImport($event)'
>
</work-calendar-detail-import>
<!--  -->
